%define upstream_name    Config-Perl-V
%define upstream_version 0.24

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    A module that will return you the output of
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tgz

BuildRequires: perl(Config)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::NoWarnings)
BuildArch:  noarch

%description
$conf = myconfig ()
    This function will collect the data described in the the hash structure
    manpage below, and return that as a hash reference. It optionally
    accepts an option to include more entries from %ENV. See the
    environment manpage below.

    Note that this will not work on uninstalled perls when called with
    '-I/path/to/uninstalled/perl/lib', but it works when that path is in
    '$PERL5LIB' or in '$PERL5OPT', as paths passed using '-I' are not known
    when the '-V' information is collected.

$conf = plv2hash ($text [, ...])
    Convert a sole 'perl -V' text block, or list of lines, to a complete
    myconfig hash. All unknown entries are defaulted.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changelog META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.240.0-6.mga9
+ Revision: 1802531
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.240.0-5.mga8
+ Revision: 1493576
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.240.0-4.mga7
+ Revision: 1266592
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.240.0-3.mga6
+ Revision: 1024310
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.240.0-2.mga6
+ Revision: 968480
- Mageia 6 Mass Rebuild

* Tue Jul 07 2015 sander85 <sander85> 0.240.0-1.mga6
+ Revision: 852568
- update to 0.24

* Sat Oct 18 2014 umeabot <umeabot> 0.200.0-4.mga5
+ Revision: 787801
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.200.0-3.mga5
+ Revision: 751121
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.200.0-2.mga5
+ Revision: 683996
- Mageia 5 Mass Rebuild

* Tue Feb 25 2014 jquelin <jquelin> 0.200.0-1.mga5
+ Revision: 596792
- update to 0.20

* Mon Feb 10 2014 jquelin <jquelin> 0.190.0-3.mga5
+ Revision: 587912
- rebuild after perl 5.18.2

* Mon Oct 21 2013 umeabot <umeabot> 0.190.0-2.mga4
+ Revision: 540741
- Mageia 4 Mass Rebuild

* Wed Oct 09 2013 sander85 <sander85> 0.190.0-1.mga4
+ Revision: 494241
- update to 0.19

* Mon Jun 03 2013 jquelin <jquelin> 0.180.0-1.mga4
+ Revision: 436392
- update to 0.18

* Sun Jan 13 2013 umeabot <umeabot> 0.150.0-2.mga3
+ Revision: 364702
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jun 09 2012 jquelin <jquelin> 0.150.0-1.mga3
+ Revision: 258801
- update to 0.15

* Fri Sep 16 2011 takashi <takashi> 0.140.0-1.mga2
+ Revision: 144204
- update to 0.14

* Tue Jan 18 2011 jquelin <jquelin> 0.120.0-1.mga1
+ Revision: 22200
- cleaning spec file
- imported package perl-Config-Perl-V

